Subject: Re: [RFCv2 1/2] gitweb: add patch view

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Dec 2008 03:19:09 -0800

Giuseppe Bilotta <[email-masked]> writes:

> We thus create a new view that can be fed to git-am directly by exposing
> the output of git format-patch directly. This allows patch exchange and
> submission via gitweb. A hard limit (configurable, defaults to 100) is
> imposed on the number of commits which will be included in a patchset,
> to prevent DoS attacks on the server.

Hmm, I would imagine that "snapshot" would be a much more effective way to
do such an attack, and notice the way we prevent it is to selectively
enable the feature per repository.

Perhaps this configuration should also be a feature defined in %feature,
overridable by each repository?  If you default it to "disabled" (as any
new feature typically does), you do not have to yank a random number such
as 100 out of thin air.